<?php
    require_once __DIR__.'/../classes/ipag-helper.php';
    use IpagGateway\IpagHelper;

    $ano = date('Y');

    $total = WC()->cart->total;
    $maxparcelas = $maximum_installment;
    $v_minimo = $smallest_installment;
    $juros = $interest_rate;
    $s_juros = $interest_free_installment;

    if (empty($total)) {
        $ped = new WC_Order(get_query_var('order-pay'));
        $total = $ped->get_total();
    }

    if ($total / $v_minimo < $maxparcelas) {
        $maxparcelas = (int) ($total / $v_minimo);
    }

    if ($maxparcelas >= 1) {
        for ($i = 1; $i <= $maxparcelas; $i++) {
            if ($i <= $s_juros) {
                $parcela[$i - 1] = $i.'x de R$'.number_format($total / $i, 2).' sem juros - R$'.number_format($total, 2);
            } else {
                $parcela[$i - 1] = $i.'x de R$'.number_format($parcelas_juros[$i - 1], 2).' com juros de '.$juros.'% a.m - R$'.number_format($parcelas_juros[$i - 1] * $i, 2);
            }
        }
    } else {
        $parcela[0] = '1x de R$'.number_format($total, 2).' sem juros - R$'.number_format($total, 2);
    }
    echo '<script src="'.plugins_url('js/masks.js', dirname(__FILE__)).'" ></script>';
    echo '<script src="'.plugins_url('js/cpf_cnpj.js', dirname(__FILE__)).'" ></script>';
    echo '<link href="'.plugins_url('css/ipag.css', dirname(__FILE__)).'" rel="stylesheet">';
    echo '<link href="'.plugins_url('css/custom-style.css', dirname(__FILE__)).'" rel="stylesheet">';
?>
    <style>
        @media screen and (max-width: 480px) {
            .half-fill{
                width: 100% !important;
            }
        }
        .noborder, .noborder td{
            border: 0px;
        }
        .box-fill{
            width: 100%;
        }
        .half-fill{
            width: 47.5%;
        }
        .select_field{
            padding: .6180469716em;
            background-color: #f2f2f2;
            color: #43454b;
            outline: 0;
            border: 0;
             -webkit-appearance: menulist;
            border-radius: 2px;
            box-sizing: border-box;
            font-weight: 400;
            box-shadow: inset 0 1px 1px rgba(0,0,0,.125);
        }
    </style>


    <?php if ($pagseguro_enabled !== 'no'): ?>
    <script>
    var $j = jQuery.noConflict();

    function getSenderHashCard() {
        PagSeguroDirectPayment.onSenderHashReady(function(response){
            jQuery( '#cartao_hashpagseguro' ).val(response.senderHash);
        });
    }
    callPagSeguroCard = function() {
      var session = "<?php echo $pagseguro_session ?>";

      var cid = $j('#ipag_credito_card_cvv').val();
      var number = $j('#ipag_credito_card_num').val();
      number = number.replace(/\D/g ,"");
      var expiry_date = $j('#ipag_credito_card_expiry').val();
      var month = expiry_date.split("/")[0];
      var year = expiry_date.split("/")[1];
      var data = new Date();
      var ano = ""+data.getFullYear();
      year = ano.substring(0,2) + year;
      var type = $j('#ipag_credito_card_type').val();
      var idToken = $j('#cartao_tokenpagseguro');

      tokenPagseguroCartaoiPag(session,number,month,year,type,cid,idToken);
    }

    checkLength = function (obj, size) {
      return (obj && obj.length > size);
    }

    validaPagSeguroCartao = function() {
      var cid = $j('#ipag_credito_card_cvv').val();
      var number = $j('#ipag_credito_card_num').val();
      var expiry_date = $j('#ipag_credito_card_expiry').val();
      var month = expiry_date.split("/")[0];
      var year = expiry_date.split("/")[1];
      var data = new Date();
      var ano = ""+data.getFullYear();
      year = ano.substring(0,2) + year;
      var type = $j('#ipag_credito_card_type').val();
      if(checkLength(cid,2) && checkLength(number.trim(),10) && checkLength(month,0) && checkLength(year,0) && checkLength(cid,2)){
        callPagSeguroCard();
      }
    }

    function tokenPagseguroCartaoiPag(session, number, month, year, type, cvv, idToken) {
        PagSeguroDirectPayment.setSessionId(session);

        PagSeguroDirectPayment.createCardToken({
            cardNumber: number,
            brand: type,
            cvv: cvv,
            expirationMonth: month,
            expirationYear: year,
            success: function(callback) {

            },
             error: function(callback) {
                reload = false;
                if(undefined != callback.errors["30400"]) {
                    error = 'Dados do cartão inválidos.';
                } else if (undefined != callback.errors["10001"]) {
                    error = 'Tamanho do cartão inválido.';
                } else if (undefined != callback.errors["10006"]) {
                    error = 'Tamanho do CVV inválido.';
                } else if (undefined != callback.errors["30405"]) {
                    error = 'Data de validade incorreta.';
                } else if (undefined != callback.errors["30403"]) {
                    error = 'Sessão inválida, a página será atualizada.';
                    reload = true;
                } else if (undefined != callback.errors["30404"]) {
                    error = 'Sessão inválida, a página será atualizada.';
                    reload = true;
                } else {
                    error = 'Verifique os dados do cartão digitado.';
                }
                console.error('Falha ao obter o token do cartao.');
                console.warn(error);
                console.log(callback.errors);
                if(reload) {
                    location.reload();
                }
            },
            complete: function(callback) {
                console.log(callback);
                idToken.val(callback.card.token);
                 getSenderHashCard();

            },
        });
    }
    </script>
    <?php
        endif;
    ?>
    <fieldset id="ipag-credito-payment-form" class="ipag-payment-form">
       <input type="hidden" id = "cartao_tokenpagseguro" name="cartao_tokenpagseguro" value="" />
        <input type="hidden" id = "cartao_hashpagseguro" name = "cartao_hashpagseguro"  value=""/>
        <div id="card_wrapper" class="card_wrapper nofloat">
            <div id="card_container" class="card_container">
                <div class="ipag-card-number anonymous">••••&nbsp; ••••&nbsp; ••••&nbsp; ••••</div>
                <div class="ipag-card-name">TITULAR DO CARTÃO</div>
                <div class="ipag-card-expiry"><span class="card-expiry-month">• •</span> / <span class="card-expiry-year">• •</span></div>
                <div class="ipag-card-brand"></div>
                <span class="ipag-card-cvv">•••</span>
            </div>
        </div>
        <ul>
        <?php foreach ($accepted_cards as $card) {?>
            <li id="ipag_credito_brand_<?php echo $card; ?>" data-image-src="<?php echo plugins_url('../images/'.$card.'.png', __FILE__) ?>" ></li>
        <?php }?>
        </ul>
        <input id="ipag_credito_card_type" type="hidden" name="ipag_credito_card_type" value=""/>

        <p class="form-row">
            <label for="ipag_credito_card_num"><?php _e('Número do Cartão', 'ipag-gateway');?>&nbsp;<abbr class="required" title="Digite o número do cartão">*</abbr></label>
            <input type="text" name="ipag_credito_card_num" id="ipag_credito_card_num" maxlength="19" class="input-text" data-ipag="number" autocomplete="off" onblur="sendToCard(this.value, 'ipag-card-number', 'card_container');" placeholder="&bull;&bull;&bull;&bull; &bull;&bull;&bull;&bull; &bull;&bull;&bull;&bull; &bull;&bull;&bull;&bull;" style="font-size: 1.5em; padding: 8px; width:85%;" />
            <span style="padding-right:3px; padding-top: 3px; display:inline-block;">
               <img id="ipag_credito_card_type_icon"></img>
            </span>
            <input id="ipag_credito_card_hash" type="hidden" name="ipag_credito_card_hash" value=""/>
            <input id="ipag_credito_card_token" type="hidden" name="ipag_credito_card_token" value=""/>
            <input id="ipag_credito_session" type="hidden" name="ipag_credito_session" value="<?php echo $ipag_session_id; ?>"/>
        </p>
        <p class="form-row">
            <label for="ipag_credito_card_name"><?php _e('Titular do Cartão', 'ipag-gateway');?>&nbsp;<abbr class="required" title="Digite exatamente o nome escrito na frente do cartão">*</abbr></label>
            <input type="text" name="ipag_credito_card_name" id = "ipag_credito_card_name" onblur="sendToCard(this.value, 'ipag-card-name', 'card_container');" class="input-text" autocomplete="off" style="font-size: 1.5em; padding: 8px;" />
        </p>
         <p class="form-row">
            <label for="ipag_credito_card_expiry"><?php _e('Validade do Cartão (Formato MM/AA)', 'ipag-gateway');?>&nbsp;<abbr class="required" title="Digite o Mês e os dois últimos dígitos do ano da validade do seu cartão">*</abbr></label>
              <input type="tel" name="ipag_credito_card_expiry" id="ipag_credito_card_expiry" class="input-text half-fill" placeholder="<?php _e('MM / AA', 'ipag-woocommerce');?>" onchange="sendToCard(this.value, 'ipag-card-expiry', 'card_container');" autocomplete="off"  style="font-size: 1.5em; padding: 8px;" />
        </p>

        <div class="clear"></div>
        <p class="form-row">
            <label for="ipag_credito_card_cvv"><?php _e('CVV', 'ipag-gateway');?> <abbr class="required" title="Digite o código de segurança do Cartão">*</abbr></label>
            <input id="ipag_credito_card_cvv" onkeyup="mask(this, maskNumber);" maxlength="4" name="ipag_credito_card_cvv" class="input-text wc-credit-card-form-card-cvc" type="tel" autocomplete="off" placeholder="••••" onfocus="toggleVerso('add','card_container');" onblur="checkCVV();toggleVerso('remove','card_container');" style="font-size: 1.5em; padding: 8px;" />
        </p>

        <?php if (!class_exists('WC_Subscriptions_Cart') || !WC_Subscriptions_Cart::cart_contains_subscription()): ?>
        <div class="clear"></div>
        <p class="form-row">
            <label for="ipag_credito_installments"><?php _e('Installments Number:', 'ipag-gateway');?> <abbr class="required" title="Selecione o número de parcelas">*</abbr></label>
                <select id="ipag_credito_installments" name="ipag_credito_installments" class="select_field box-fill" style="font-size: 1.5em; padding: 8px;" >
                    <?php foreach ($parcela as $key => $p) {?>
                        <option value="<?php echo $key ?>"><?php echo $p ?></option>
                    <?php }?>
                </select>
                <script type="text/javascript">
                    document.getElementById('ipag_credito_installments').value = <?php echo IpagHelper::getParamFromPostData('ipag_credito_installments'); ?>;
                </script>
        </p>

        <?php endif;?>
        <p class="form-row">
            <label for="ipag_credito_card_cpf"><?php _e('CPF do portador do cartão', 'ipag-gateway');?> <abbr class="required" title="Digite o CPF do portador do Cartão">*</abbr></label>
            <input type="text" name="ipag_credito_card_cpf" id="ipag_credito_card_cpf" maxlength="14" class="box-fill" onkeyup="mask(this, maskCpf);" style="font-size: 1.5em; padding: 8px;" />
        </p>
    </fieldset>
    <script>
        var ipag_submit = false;
        var ipag_test = <?php echo $ipag_test ?>;

        jQuery(document).ready(function(){
            iPag.setup();
            jQuery('#ipag_credito_card_expiry').mask('00/00');
            var ipag_credito_card_num = document.querySelector('#ipag_credito_card_num');
            var expiry_date = document.querySelector('#ipag_credito_card_expiry');
            expiry_date.onblur = function(e){
                if(this.value.length==5) {
                    var splittedval = this.value.split('/');
                    if(splittedval[0]<1 || splittedval[0]>12 ) {
                        this.value = '';
                    }
                } else {
                    this.value = '';
                }
            }

            jQuery('#ipag_credito_card_cvv').on('input blur keyup change click', function(){validaIpagCartao('credito',ipag_test); });
            jQuery('#ipag_credito_card_num').on('input blur keyup change click', function(){validaIpagCartao('credito',ipag_test); });
            jQuery('#ipag_credito_card_expiry').on('input blur keyup change click', function(){validaIpagCartao('credito',ipag_test); });
            jQuery('#ipag_credito_card_name').on('input blur keyup change click', function(){validaIpagCartao('credito',ipag_test); });

            ipag_credito_card_num.addEventListener("keyup", function() {
                var brand = iPag.getBrandInfo(this.value);
                if(brand && document.getElementById('ipag_credito_brand_'+brand.type)) {
                    var imgpath = jQuery('#ipag_credito_brand_'+brand.type).attr('data-image-src');
                    if(imgpath) {
                        jQuery( '#ipag_credito_card_type_icon' ).attr('src',imgpath);
                        jQuery( '#ipag_credito_card_type' ).val(brand.type);
                        var cvv = document.getElementById('ipag_credito_card_cvv');
                        if(brand.type == 'amex') {
                            cvv.maxLength = 4;
                            cvv.placeholder = "••••";
                        }
                        else {
                            cvv.maxLength = 3;
                            cvv.placeholder = "•••";
                        }
                    }
                } else {
                    jQuery( '#ipag_credito_card_type_icon' ).attr('src','');
                    jQuery( '#ipag_credito_card_type' ).val('');
                }
            });
        });

        jQuery( 'form.checkout' ).on( 'checkout_place_order_ipag-gateway', function(e) {
            return iPagFormValidator('credito', ipag_test, false);
        });

        jQuery( 'form#order_review' ).submit( function(e) {
            return iPagFormValidator('', ipag_test, false);
        });
    </script>